# Interface BaseDataSourceViewer<View>

interface BaseDataSourceViewer<View> {
id?: string;
restore?: boolean;
viewChange?: Observable<View>;
[key: string]: any;
}

#### Type Parameters

- View = any

#### Indexable

[key: string]: any

- Defined in packages/angular/data-source/src/lib/base.data-source.ts:43

#####
Index

### Properties

id?
restore?
viewChange?

## Properties

### `Optional` id

id?: string

- Defined in packages/angular/data-source/src/lib/base.data-source.ts:44

### `Optional` restore

restore?: boolean

Indicates weather the data source should restore the last value from local storage

- Defined in packages/angular/data-source/src/lib/base.data-source.ts:49

### `Optional` viewChange

viewChange?: Observable<View>

- Defined in packages/angular/data-source/src/lib/base.data-source.ts:45